<?php

namespace Emulator;

use Emulator\Core\Logging\Logger;
use Emulator\Messages\MessageHandler;
use Emulator\Network\Game\GameNetworkServer;

class HabboEnvironment {
    private static ?HabboEnvironment $instance = null;

    public function initialize(): void {
        Logger::info("Starting up [b]HabboEmulator[/b] (PHP Edition) for [r]$_SERVER[USER][/r]");

        MessageHandler::getInstance();

        GameNetworkServer::getInstance()->start(2096);
    }

    public static function getInstance(): HabboEnvironment {
        if (self::$instance === null)
            self::$instance = new self();

        return self::$instance;
    }
}